<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: ntile</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for ntile {SparkR}"><tr><td>ntile {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>ntile</h2>

<h3>Description</h3>

<p>Window function: returns the ntile group id (from 1 to 'n' inclusive) in an ordered window
partition. Fow example, if 'n' is 4, the first quarter of the rows will get value 1, the second
quarter will get 2, the third quarter will get 3, and the last quarter will get 4.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'numeric'
ntile(x)

ntile(x)
</pre>


<h3>Details</h3>

<p>This is equivalent to the NTILE function in SQL.
</p>


<h3>See Also</h3>

<p>Other window_funcs: <code><a href="cume_dist.html">cume_dist</a></code>,
<code><a href="cume_dist.html">cume_dist</a></code>; <code><a href="dense_rank.html">dense_rank</a></code>,
<code><a href="dense_rank.html">dense_rank</a></code>; <code><a href="lag.html">lag</a></code>,
<code><a href="lag.html">lag</a></code>; <code><a href="lead.html">lead</a></code>,
<code><a href="lead.html">lead</a></code>; <code><a href="percent_rank.html">percent_rank</a></code>,
<code><a href="percent_rank.html">percent_rank</a></code>; <code><a href="rank.html">rank</a></code>,
<code><a href="rank.html">rank</a></code>; <code><a href="row_number.html">row_number</a></code>,
<code><a href="row_number.html">row_number</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: ntile(1)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
